Bug 260481 - serial port does not work on HP NC6000
serial port does not work on HP NC6000
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 11:30 EDT by Helge Deller
Modified: 2009-07-14 13:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.22.5-76.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg of kernel 2.6.22.9-91.fc7 (standard boot options) (22.99 KB, text/plain)
2007-10-01 12:04 EDT, Helge Deller
no flags Details
dmesg of kernel 2.6.22.9-91.fc7 (added "pnpacpi=off" boot option) (21.63 KB, text/plain)
2007-10-01 12:05 EDT, Helge Deller
no flags Details

  None (edit)
Description Helge Deller 2007-08-28 11:30:21 EDT
Description of problem:
It seems the standard serial port drivers are somewhat broken on specific 
machines?
I'm using minicom on my HP NC6000 laptop to connect to a UNIX workstation 
(boot menu) with 9600/8N1.
This doesn't work with the latest kernels.

Now, I'm pulling out the serial cable from the HP laptop, and connecting it 
instead to my other "old" laptop (Fujitsu CELSIUS Mobile A). It runs the same 
Fedora release and Fedora Linux kernel and here minicom just works.

So, I assume there is some problem with the serial drivers. Have there been 
any changes to the serial driver ?

Version-Release number of selected component (if applicable):
kernel-2.6.22.4-65.fc7
and
kernel-2.6.22.1-41.fc7

How reproducible:
Always.

Steps to Reproduce:
1. Just use minicom (9600/8N1) on a NC6000 laptop and try to talk to a serial 
device.

Additional info:
- dmesg does not report anything wrong. I'm using ttyS0:
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS2 at I/O 0x3e8 (irq = 5) is a 16550A
00:02: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS0: LSR safety check engaged!
Comment 1 Helge Deller 2007-08-28 11:35:10 EDT
I just noticed, that IRQ4 isn't mentioned in /proc/interrupts when I run 
minicom on the NC6000 in another shell...
On the FSC laptop IRQ4 is visible in /proc/interrupts.
Comment 2 Helge Deller 2007-08-29 11:42:21 EDT
I tested yesterday Linus's vanilla 2.6.23-rc4 git kernel.
Same problem.

Maybe related to the second serial port which is a IRDA chip. Syslog from 
kernel-2.6.22.4-65.fc7 says:
Detected unconfigured HP nc6000 family SMSC IrDA chip, pre-configuring device.
Setting up Intel 82801 controller and SMSC device
found SMC SuperIO Chip (devid=0x5a rev=00 base=0x004e): LPC47N227
smsc_superio_flat(): fir: 0x130, sir: 0x2f8, dma: 03, irq: 5, mode: 0x0e
SMsC IrDA Controller found
 IrCC version 2.0, firport 0x130, sirport 0x2f8 dma=3, irq=5
No transceiver found. Defaulting to Fast pin select
IrDA: Registered device irda0
Comment 3 Chuck Ebbert 2007-08-29 13:52:52 EDT
Known problem, patch is still pending for 2.6.23 but may as well go into Fedora
now since it's low risk.
Comment 4 Helge Deller 2007-08-30 11:27:23 EDT
For the record:
adding "pnpacpi=off" on the grub boot command line fixes this temorarily for 
me (found on google).
Comment 5 Helge Deller 2007-08-30 17:21:19 EDT
Chuck, I tried to find the relevant patch in various archives, but couldn't 
find it. Could you please point me to the patch/thread/discussion ?
Comment 6 Chuck Ebbert 2007-08-30 17:46:52 EDT
Patch is here:

http://lkml.org/lkml/2007/8/21/291

Also in kernel-2.6.22.5-76.fc7.
Comment 7 Chuck Ebbert 2007-09-07 09:28:43 EDT
kernel-2.6.22.5-76.fc7 is in the updates-testing repository with a fix for this bug.
Comment 8 Helge Deller 2007-09-13 03:38:26 EDT
hmm... still doesn't seem to work.

[root@halden ~]# uname -a
Linux ls3530 2.6.22.5-76.fc7 #1 SMP Thu Aug 30 13:47:21 EDT 2007 i686 i686 i386 
GNU/Linux

dmesg:
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS2 at I/O 0x3e8 (irq = 3) is a 16550A
00:02: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
...
Detected unconfigured HP nc6000 family SMSC IrDA chip, pre-configuring device.
Setting up Intel 82801 controller and SMSC device
found SMC SuperIO Chip (devid=0x5a rev=00 base=0x004e): LPC47N227
smsc_superio_flat(): fir: 0x130, sir: 0x2f8, dma: 03, irq: 5, mode: 0x0e
SMsC IrDA Controller found
 IrCC version 2.0, firport 0x130, sirport 0x2f8 dma=3, irq=5
No transceiver found. Defaulting to Fast pin select
IrDA: Registered device irda0
...
ttyS0: LSR safety check engaged!
ttyS2: LSR safety check engaged!
Comment 9 Chuck Ebbert 2007-09-13 17:08:13 EDT
(In reply to comment #8)
> hmm... still doesn't seem to work.
> 
>
What do the boot messages say on a working kernel?
Comment 10 Helge Deller 2007-10-01 12:04:45 EDT
Created attachment 212431 [details]
dmesg of kernel 2.6.22.9-91.fc7 (standard boot options)
Comment 11 Helge Deller 2007-10-01 12:05:41 EDT
Created attachment 212441 [details]
dmesg of kernel 2.6.22.9-91.fc7 (added "pnpacpi=off" boot option)
Comment 12 Helge Deller 2007-10-01 12:08:13 EDT
Hello Chuck,

above you'll find to dmesgs. Both are from kernel 2.6.22.9-91.fc7.
With the second one (where I added "pnpacpi=off") the serial port does work. 
In the first dmesg log serial port does not work.

HTH, Helge
Comment 13 Chuck Ebbert 2007-10-01 19:03:04 EDT
Which tty device is the irda port when it's working? ttyS0?
Comment 14 Helge Deller 2007-10-02 11:42:58 EDT
Normally the irda port is on ttyS1.

when booted with pnpacpi=off, setserial reports:
/dev/ttyS0, UART: 16550A, Port: 0x03f8, IRQ: 4
/dev/ttyS1, UART: unknown, Port: 0x02f8, IRQ: 3
/dev/ttyS2, UART: 16550A, Port: 0x03e8, IRQ: 3

modprobe smsc-ircc2 reports in syslog:
Detected unconfigured HP nc6000 family SMSC IrDA chip, pre-configuring device.
Setting up Intel 82801 controller and SMSC device
found SMC SuperIO Chip (devid=0x5a rev=00 base=0x004e): LPC47N227
smsc_superio_flat(): fir: 0x130, sir: 0x2f8, dma: 03, irq: 5, mode: 0x0e
SMsC IrDA Controller found
 IrCC version 2.0, firport 0x130, sirport 0x2f8 dma=3, irq=5
No transceiver found. Defaulting to Fast pin select
IrDA: Registered device irda0
ttyS2: LSR safety check engaged!
ttyS0: LSR safety check engaged!

So, booting with "pnpacpi=off" does make the serial port (ttyS0) working, but 
IRDA does not. For me serial port is more important than IRDA...
Comment 15 Christopher Brown 2008-01-13 14:04:35 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 16 Helge Deller 2008-01-14 06:15:52 EST
something is still buggy.
Now I tested mainline 2.6.24-rc7 kernel, and I see:
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
8250_pci: Unknown symbol serial8250_unregister_port
8250_pci: Unknown symbol serial8250_resume_port
8250_pci: Unknown symbol serial8250_register_port
8250_pci: Unknown symbol serial8250_suspend_port
smsc_ircc_present(), addr 0x07d0 - no device found!
smsc-ircc2 00:03: disabled
...
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:02: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
...

So, serial ttyS0 does now work, but not smsc-ircc (irda).
Comment 17 Bug Zapper 2008-05-14 10:08:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Helge Deller 2008-05-14 10:39:58 EDT
please re-assign to Fedora 9
Comment 19 Matt Castelein 2008-06-13 10:57:52 EDT
My serial port quit working when I updated to 9. I see some similar messages
here so I'm adding myself to the CC list for this bug.
Comment 20 Bug Zapper 2009-06-09 18:47:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-07-14 13:06:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.